"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const number_1 = require("../number");
(0, globals_1.describe)("Parse Number", () => {
    (0, globals_1.test)("Parse EN Number to FA", () => {
        (0, globals_1.expect)((0, number_1.En_To_Fa)("09123456789")).toBe("۰۹۱۲۳۴۵۶۷۸۹");
    });
    (0, globals_1.test)("Parse FA Number to EN", () => {
        (0, globals_1.expect)((0, number_1.Fa_To_En)("۰۹۱۲۳۴۵۶۷۸۹")).toBe("09123456789");
    });
    (0, globals_1.test)("Parse FA IP to EN", () => {
        (0, globals_1.expect)((0, number_1.Fa_To_En)("۱۱۱.۱۱۱.۱۱۱.۱۱۱")).toBe("111.111.111.111");
    });
    (0, globals_1.test)("Parse Rial to Toman", () => {
        (0, globals_1.expect)((0, number_1.Rial_To_Toman)(10564523)).toBe("1056452");
    });
    (0, globals_1.test)("Parse Toman to Rial", () => {
        (0, globals_1.expect)((0, number_1.Toman_To_Rial)(10564523)).toBe(105645230);
    });
    (0, globals_1.test)("Add Commas", () => {
        (0, globals_1.expect)((0, number_1.Add_Commas)("30001000")).toBe("30,001,000");
    });
    (0, globals_1.test)("Remove Commas", () => {
        (0, globals_1.expect)((0, number_1.Remove_Commas)("30,001,000")).toBe("30001000");
    });
});
