"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostalCodeFind = void 0;
const postalCode_1 = require("../../constants/postalCode");
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * get postalCode and check it if valid return province and city of postalCode
 * @param code string
 * @returns
 */
const PostalCodeFind = (code) => {
    code = (0, FaToEn_1.Fa_To_En)(code.slice(0, 5));
    if (code) {
        const postFiltered = postalCode_1.postalCodes === null || postalCode_1.postalCodes === void 0 ? void 0 : postalCode_1.postalCodes.find(item => ((0, FaToEn_1.Fa_To_En)(item.from) <= code && code <= (0, FaToEn_1.Fa_To_En)(item.to)));
        if (postFiltered) {
            return { province: postFiltered.province, city: postFiltered.city };
        }
    }
    return;
};
exports.PostalCodeFind = PostalCodeFind;
