"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const ip_1 = require("../ip/ip");
(0, globals_1.describe)("IP Information", () => {
    (0, globals_1.test)("Check IP Information", () => __awaiter(void 0, void 0, void 0, function* () {
        const api = yield new ip_1.IP();
        const res = yield api.getIpInfo("137.184.82.151");
        (0, globals_1.expect)(res).toMatchObject({
            "status": "success",
            "country": "United States",
            "countryCode": "US",
            "region": "CA",
            "regionName": "California",
            "city": "Santa Clara",
            "zip": "95054",
            "lat": 37.3931,
            "lon": -121.962,
            "timezone": "America/Los_Angeles",
            "isp": "DigitalOcean, LLC",
            "org": "DigitalOcean, LLC",
            "as": "AS14061 DigitalOcean, LLC",
            "query": "137.184.82.151"
        });
    }));
    (0, globals_1.test)("Is IP from Iran", () => __awaiter(void 0, void 0, void 0, function* () {
        const api = yield new ip_1.IP();
        const res = yield api.IsIpFromIran("103.130.144.0");
        (0, globals_1.expect)(res).toBeTruthy();
    }));
});
