"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const mac_1 = require("../mac/mac");
(0, globals_1.describe)("MAC Information", () => {
    (0, globals_1.test)("Check MAC Information", () => __awaiter(void 0, void 0, void 0, function* () {
        const api = yield new mac_1.MAC();
        const res = yield api.getMacInfo("00:23:AB:7B:58:99");
        (0, globals_1.expect)(res).toMatchObject([{
                "startHex": "0023AB000000",
                "endHex": "0023ABFFFFFF",
                "startDec": "153192759296",
                "endDec": "153209536511",
                "company": "CISCO SYSTEMS, INC.",
                "addressL1": "170 W. TASMAN DRIVE",
                "addressL2": "M/S SJA-2",
                "addressL3": "SAN JOSE CA 95134-1706",
                "country": "UNITED STATES",
                "type": "MA-L"
            }]);
    }));
});
